import request from '@/utils/request'

// 查询油枪管理列表
export function listGun(query) {
  return request({
    url: '/station/gun/list',
    method: 'get',
    params: query
  })
}
// 查询油站信息列表
export function stationinfo() {
  return request({
    url: '/station/info/selectStationInfo',
    method: 'get'
  })
}

// 查询油枪管理详细
export function getGun(oilGunId) {
  return request({
    url: '/station/gun/' + oilGunId,
    method: 'get'
  })
}

// 新增油枪管理
export function addGun(data) {
  return request({
    url: '/station/gun',
    method: 'post',
    data: data
  })
}

// 修改油枪管理
export function updateGun(data) {
  return request({
    url: '/station/gun',
    method: 'put',
    data: data
  })
}

// 删除油枪管理
export function delGun(oilGunId) {
  return request({
    url: '/station/gun/' + oilGunId,
    method: 'delete'
  })
}

// 导出油枪管理
export function exportGun(query) {
  return request({
    url: '/station/gun/export',
    method: 'get',
    params: query
  })
}
